Bug 184229 - Deadlock from ToggleBookmarkAction
Deadlock from ToggleBookmarkAction
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
6.x
Other Linux
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-15 08:39 UTC by Jaroslav Tulach
Modified: 2010-04-21 04:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2010-04-15 08:39:53 UTC
Tim's report #182960 shows a deadlock:
https://netbeans.org/bugzilla/attachment.cgi?id=96014

The AWT thread is blocked by EditorCookie.getOpenedPanes() called from 
at org.netbeans.lib.editor.bookmarks.actions.ToggleBookmarkAction.findComponent(ToggleBookmarkAction.java:147)

that call shall be replaced by new and non-blocking:
http://bits.netbeans.org/dev/javadoc/org-openide-text/org/openide/text/NbDocument.html#findRecentEditorPane(org.openide.cookies.EditorCookie)
Comment 1 Vitezslav Stejskal 2010-04-19 20:03:19 UTC
http://hg.netbeans.org/jet-main/rev/71cdbdf5186c
Comment 2 Quality Engineering 2010-04-21 04:38:19 UTC
Integrated into 'main-golden', will be available in build *201004210200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/71cdbdf5186c
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #182249, #184229: using faster and non-blocking NbDocument.findRecentEditorPane rather than EditorCookie.getOpenedPanes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo